import { Headers, Request, Response } from 'cross-fetch';
import { Agent as HttpsAgent } from 'https';
import { Agent as HttpAgent } from 'http';
import { Cookie, CookieJar } from 'tough-cookie';
export { Headers, Request, Response, Cookie, CookieJar };
/**
 * Performs a fetch request with the given options
 * @param url
 * @param init
 */
export declare function fetch(url: string | URL, init?: fetch.Init): Promise<Response>;
export declare namespace fetch {
    type Agent = HttpAgent | HttpsAgent;
    type Init = RequestInit & {
        timeout?: number;
        formData?: URLSearchParams | Record<string, string | number | boolean>;
        json?: any;
        cookieJar?: CookieJar;
        rejectUnauthorized?: boolean;
        agent?: Agent;
    };
    function get(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function head(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function post(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function put(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function del(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function connect(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function options(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function trace(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
    function patch(url: string | URL, init?: Omit<fetch.Init, 'method'>): Promise<Response>;
}
export default fetch;
